Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9177)
@@ -165,67 +165,72 @@
 <b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
 $lang['UAM_GTAutoMailTitle'] = 'Automatically sending an email when changing group / status';
+$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
+// --------- End: New or revised $lang ---- from version 2.16.0
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.0
+$lang['UAM_gttextTitle_d'] = 'Enter the text you want to appear in the email reminder to prompt the user to return to visit your gallery (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_infotxtTitle_d'] = 'Enter the introductory text that you want to appear in the information email.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.
+<br><br>
+After installing the plugin, a standard text is set as an example.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the related user name. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.
+<br><br>
+After installing the plugin, a standard text is set as an example.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the related user name. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the validation key regenerated.
+<br><br>
+If left blank, the mail reminder will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a validation key regenerated.
+<br><br>
+If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_GTAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
 $lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
 <br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
-<br><br>Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
-<br><br>To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
-<br><br><b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
-$lang['UAM_AdminValidationMail'] = 'Notification of manual registration validation';
-// --------- End: New or revised $lang ---- from version 2.16.0
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_gttextTitle_d'] = 'Enter the text you want to appear in the email reminder to prompt the user to return to visit your gallery (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_infotxtTitle_d'] = 'Enter the introductory text that you want to appear in the information email.
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_confirmtxtTitle_d'] = 'Enter the introductory text that you want to appear in the email confirmation of registration.
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_AdminValidationMail_d'] = 'When an administrator or Webmaster of the gallery manually valid registration pending, a notification email is automatically sent to the user. Enter here the text that appears in this email.
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_confirmmail_custom1_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>acceptance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.
-<br><br>
-After installing the plugin, a standard text is set as an example.
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the related user name. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
-$lang['UAM_confirmmail_custom2_d'] = 'When the option &quot;Confirmation of registration&quot; is active, this field allows you to customize the <b><u>rejectance text</u></b> on the registration confirmation page displayed when user clicks the confirmation link that was received by email.
-<br><br>
-After installing the plugin, a standard text is set as an example.
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the related user name. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-This field is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
-$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the validation key regenerated.
-<br><br>
-If left blank, the mail reminder will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a validation key regenerated.
-<br><br>
-If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_GTAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
-<br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
-<br><br>
-Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+<br><br>
+Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.
+<br><br>
+<b style=&quot;color: red;&quot;>Warning: The use of this function is intimately associated with the confirmation of registration by the user (confirmation by mail) and can not be activated without this option.</b>';
 $lang['UAM_CustomPasswRetrTitle'] = 'Customize lost password email content';
 $lang['UAM_CustomPasswRetrTitle_d'] = 'By default, when a user has lost his password and selects the option of recovery, he receives an email containing only his username and his new password.
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 9176)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 9177)
@@ -7,51 +7,48 @@
 
 /* UserManager Tab */
-$lang['Registration_Date'] = 'Registration date';
+$lang['UAM_Registration_Date'] = 'Registration date';
 
 
 /* Mailing */
-$lang['infos_mail %s'] = '%s, please find here your information to log in the gallery :';
-$lang['User: %s'] = 'User : %s';
-$lang['Password: %s'] = 'Password: %s';
-$lang['Link: %s'] = 'Please, click on this link to confirm your registration : %s';
+$lang['UAM_infos_mail %s'] = '%s, please find here your information to log in the gallery :';
+$lang['UAM_User: %s'] = 'User : %s';
+$lang['UAM_Password: %s'] = 'Password: %s';
+$lang['UAM_Link: %s'] = 'Please, click on this link to confirm your registration : %s';
 
 
 /* Email confirmation page */
-$lang['title_confirm_mail'] = 'Validate your registration';
-$lang['confirm_mail_page_title'] = 'Validate your registration';
+$lang['UAM_title_confirm_mail'] = 'Validate your registration';
+$lang['UAM_confirm_mail_page_title'] = 'Validate your registration';
 
 
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_username_char'] = '<b>This account uses one or more forbidden characters :</b> ';
-$lang['Err_audit_email_forbidden'] = '<b>This account uses a forbidden email provider :</b> ';
-$lang['Err_audit_advise'] = '<b>you have to perform corrections to comply with new rules that you have activated.<br>Use a database management utility to correct user accounts directly in the table ###_USERS';
+$lang['UAM_Err_audit_username_char'] = '<b>This account uses one or more forbidden characters :</b> ';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>This account uses a forbidden email provider :</b> ';
+$lang['UAM_Err_audit_advise'] = '<b>you have to perform corrections to comply with new rules that you have activated.<br>Use a database management utility to correct user accounts directly in the table ###_USERS';
 $lang['UAM_Empty Author'] = 'The author field have to be filled to send a comment.';
-$lang['reg_err_login5'] = 'Username already exist, WARNING name is case insensitive (Shift = Tiny).';
-$lang['reg_err_login6'] = 'Username does not have to match the following characters: ';
-$lang['reg_err_login7'] = 'Your email provider is banned for registration. Banned email providers are: ';
+$lang['UAM_reg_err_login2'] = 'Username does not have to match the following characters: ';
+$lang['UAM_reg_err_login5'] = 'Your email provider is banned for registration. Banned email providers are: ';
 $lang['UAM_empty_pwd'] = '[empty password]';
 $lang['UAM_no_update_pwd'] = '[profile updated without password changed]';
-$lang['invalid_pwd'] = 'Invalid username or password !';
-$lang['No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
-$lang['No_validation_for_default_user'] = 'The default account is not subject to validation';
-$lang['No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
-$lang['No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
-$lang['Database_Error'] = '<b><u>Warning! Critical integrity error in your database.</u></b><br><br>Please check the integrity of the #_user_confirm_mail table.';
+$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
+$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to validation';
+$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
+$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
 
 
 /* Processing messages */
-$lang['%d_Mail_With_Key'] = '%d message with key renewal was sent';
-$lang['%d_Mails_With_Key'] = '%d messages with key renewal were sent';
-$lang['%d_Reminder_Sent'] = '%d reminder message was sent';
-$lang['%d_Reminders_Sent'] = '%d reminder messages were sent';
-$lang['%d_Validated_User'] = '%d User validated manually';
-$lang['%d_Validated_Users'] = '%d Users validated manually';
+$lang['UAM_%d_Mail_With_Key'] = '%d message with key renewal was sent';
+$lang['UAM_%d_Mails_With_Key'] = '%d messages with key renewal were sent';
+$lang['UAM_%d_Reminder_Sent'] = '%d reminder message was sent';
+$lang['UAM_%d_Reminders_Sent'] = '%d reminder messages were sent';
+$lang['UAM_%d_Validated_User'] = '%d User validated manually';
+$lang['UAM_%d_Validated_Users'] = '%d Users validated manually';
 
 
 /* Action button names */
-$lang['Delete_selected'] = 'Delete';
-$lang['Mail_without_key'] = 'Reminder without key';
-$lang['Mail_with_key'] = 'Reminder with key';
+$lang['UAM_Delete_selected'] = 'Delete';
+$lang['UAM_Mail_without_key'] = 'Reminder without key';
+$lang['UAM_Mail_with_key'] = 'Reminder with key';
 
 
@@ -60,25 +57,25 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 /* Global Configuration Tab */
-$lang['PasswordTest'] = 'Score calculation';
+$lang['UAM_PasswordTest'] = 'Score calculation';
 /* Ghost Tracker Tab */
-$lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['Reminder'] = 'Email reminder';
-$lang['Reminder_Sent_OK'] = 'YES';
-$lang['Reminder_Sent_NOK'] = 'NO';
+$lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['UAM_Reminder'] = 'Email reminder';
+$lang['UAM_Reminder_Sent_OK'] = 'YES';
+$lang['UAM_Reminder_Sent_NOK'] = 'NO';
 /* Errors and Warnings */
 $lang['UAM_save_config'] ='Configuration saved.';
-$lang['reg_err_login3'] = 'Security : Password is mandatory !';
-$lang['reg_err_login4_%s'] = 'Security : A control system calculates a score on the chosen passwords complexity. The complexity of your password is too low (score = %s). Please, choose a new password more secure by following these rules:<br>
+$lang['UAM_reg_err_login3'] = 'Security : Password is mandatory !';
+$lang['UAM_reg_err_login4_%s'] = 'Security : A control system calculates a score on the chosen passwords complexity. The complexity of your password is too low (score = %s). Please, choose a new password more secure by following these rules:<br>
 - Use letters and numbers<br>
 - Use lowercase and uppercase<br>
 - Increase its length (number of characters)<br>
 The minimum passwords score required by the administrator is: ';
-$lang['No_reminder_for_Guest'] = 'The "Guest" account is not subject to receive reminders from GhostTracker';
-$lang['No_reminder_for_default_user'] = 'The default account is not subject to receive reminders from GhostTracker';
-$lang['No_reminder_for_Webmaster'] = 'The "Webmaster" account is not subject to receive reminders from GhostTracker';
-$lang['No_reminder_for_your_account'] = 'You personnal admin account is not subject to receive reminders from GhostTracker';
+$lang['UAM_No_reminder_for_Guest'] = 'The "Guest" account is not subject to receive reminders from GhostTracker';
+$lang['UAM_No_reminder_for_default_user'] = 'The default account is not subject to receive reminders from GhostTracker';
+$lang['UAM_No_reminder_for_Webmaster'] = 'The "Webmaster" account is not subject to receive reminders from GhostTracker';
+$lang['UAM_No_reminder_for_your_account'] = 'You personnal admin account is not subject to receive reminders from GhostTracker';
 /* Action button names */
-$lang['audit'] = 'Audit settings';
-$lang['submit'] = 'Save settings';
+$lang['UAM_audit'] = 'Audit settings';
+$lang['UAM_submit'] = 'Save settings';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 
@@ -86,7 +83,7 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 /* Errors and Warnings */
-$lang['GhostTracker_Init_OK'] = 'Ghost Tracker reset done !';
+$lang['UAM_GhostTracker_Init_OK'] = 'Ghost Tracker reset done !';
 /* Action button names */
-$lang['GT_Reset'] = 'Reset Ghost Tracker';
+$lang['UAM_GT_Reset'] = 'Reset Ghost Tracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
 
@@ -94,5 +91,5 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.8
 /* Errors and Warnings */
-$lang['mail_exclusionlist_error'] = 'Warning! You have entered a new line (CR-LF) at the begining of email exclusion list (shown in red below). Although this new line is not visible, it is still present and may cause malfunction of the plugin. Please re-type in your exclusion list in a manner that does not begin with a newline.';
+$lang['UAM_mail_exclusionlist_error'] = 'Warning! You have entered a new line (CR-LF) at the begining of email exclusion list (shown in red below). Although this new line is not visible, it is still present and may cause malfunction of the plugin. Please re-type in your exclusion list in a manner that does not begin with a newline.';
 // --------- End: New or revised $lang ---- from version 2.12.8
 
@@ -100,15 +97,13 @@
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
 /* UserList Tab */
-$lang['UserList_Title'] = 'Monitoring registered users';
+$lang['UAM_UserList_Title'] = 'Monitoring registered users';
 // --------- End: New or revised $lang ---- from version 2.13.0
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.13.4
-$lang['uam_no_unlink'] = '\'unlink\' function is not available';
-$lang['uam_unlink_errors'] = 'Errors occurred when deleting files';
 /* Global Configuration Tab */
-$lang['Title_Tab'] = 'UserAdvManager - Version : ';
-$lang['SubTitle1'] = 'Plugin configuration';
-$lang['Tab_Global'] = 'Configuration';
+$lang['UAM_Title_Tab'] = 'UserAdvManager - Version : ';
+$lang['UAM_SubTitle1'] = 'Plugin configuration';
+$lang['UAM_Tab_Global'] = 'Configuration';
 $lang['UAM_Title1'] = 'Setting restrictions for registrations';
 $lang['UAM_Title2'] = 'Setting confirmations and validations of registration';
@@ -169,28 +164,28 @@
 $lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
 
-$lang['Tab_UserManager'] = 'Tracking validations';
+$lang['UAM_Tab_UserManager'] = 'Tracking validations';
 
 /* UserManager Tab */
-$lang['SubTitle3'] = 'Tracking validations';
-$lang['UserManager_Title'] = 'Tracking validations';
+$lang['UAM_SubTitle3'] = 'Tracking validations';
+$lang['UAM_UserManager_Title'] = 'Tracking validations';
 /* Ghost Tracker Tab */
-$lang['SubTitle4'] = 'Ghost Tracker';
-$lang['GT_Init'] = 'Initializing Ghost Tracker';
-$lang['GhostTracker_Title'] = 'Ghost visitors management';
+$lang['UAM_SubTitle4'] = 'Ghost Tracker';
+$lang['UAM_GT_Init'] = 'Initializing Ghost Tracker';
+$lang['UAM_GhostTracker_Title'] = 'Ghost visitors management';
 $lang['UAM_GhostTracker_Init'] = 'If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker. This action is done only after activation or reactivation of the option. Please click <u>once</u> the reset button below.';
 /* UserList Tab */
-$lang['SubTitle5'] = 'Tracking users';
-$lang['Tab_UserList'] = 'Tracking users';
+$lang['UAM_SubTitle5'] = 'Tracking users';
+$lang['UAM_Tab_UserList'] = 'Tracking users';
 /* Mailing */
-$lang['Add of %s'] = 'Profile created for %s';
-$lang['Update of %s'] = 'Profile %s updated';
+$lang['UAM_Add of %s'] = 'Profile created for %s';
+$lang['UAM_Update of %s'] = 'Profile %s updated';
 
 /* Mailing */
-$lang['Ghost_reminder_of_%s'] = '%s, this is a reminder email';
-$lang['Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
-$lang['Reminder_without_key_of_%s'] = '%s, your validation key will expire';
-/* Errors and Warnings */
-$lang['Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
-$lang['Err_Userlist_Settings'] = 'This page is available only if "Monitoring registered users" is active in the "Setting the registrations followed and other options".';
+$lang['UAM_Ghost_reminder_of_%s'] = '%s, this is a reminder email';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, your validation key will expire';
+/* Errors and Warnings */
+$lang['UAM_Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
+$lang['UAM_Err_Userlist_Settings'] = 'This page is available only if "Monitoring registered users" is active in the "Setting the registrations followed and other options".';
 // --------- End: New or revised $lang ---- from version 2.13.4
 
@@ -244,12 +239,11 @@
 $lang['UAM_confirmmail_custom_Txt1'] = 'Text of the confirmation page - Confirmation accepted';
 $lang['UAM_confirmmail_custom_Txt2'] = 'Text of the confirmation page - Confirmation rejected';
-$lang['LastVisit_Date'] = 'Last visit';
-$lang['Nb_Days'] = 'Difference in days';
-$lang['Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
+$lang['UAM_LastVisit_Date'] = 'Last visit';
+$lang['UAM_Nb_Days'] = 'Difference in days';
+$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.1
-$lang['reg_err_mail_address_dbl'] = 'This email address is already used.';
 $lang['UAM_Support_txt'] = 'The official support on this plugin is only on these Piwigo forum topic:<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?id=12775" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=12775</a>
@@ -261,5 +255,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['Force_Validation'] = 'Manual validation';
+$lang['UAM_Force_Validation'] = 'Manual validation';
 $lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
 $lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
@@ -281,12 +275,12 @@
 $lang['UAM_GTAutoMail_false'] = ' Disable (default)';
 $lang['UAM_GTAutoMail_true'] = ' Enable';
-$lang['Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
-$lang['title_redir_page'] = 'Access denied for having an account destroyed!';
-$lang['Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:<br><br>
+$lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
+$lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:<br><br>
 "Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.<br><br>
 To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".<br><br>';
-$lang['Demotion of %s'] = 'Demotion of %s';
+$lang['UAM_Demotion of %s'] = 'Demotion of %s';
 $lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
-$lang['Validation of %s'] = 'Validation of %s';
+$lang['UAM_Validation of %s'] = 'Validation of %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
